package com.zztrapp.zztrapp.bean;

import java.util.List;

/**
 * Describe 法律法规tab
 * Created by Bby on 2022/6/25
 * Email bby0856@163.com
 */
public class GetTreeListBean {


    private String id;
    private String name;
    private Object parentId;

    public boolean isOpen() {
        return isOpen;
    }

    public void setOpen(boolean open) {
        isOpen = open;
    }

    private boolean isOpen;
    private List<ChildrenBean> children;
    private Integer isFiling;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Object getParentId() {
        return parentId;
    }

    public void setParentId(Object parentId) {
        this.parentId = parentId;
    }

    public List<ChildrenBean> getChildren() {
        return children;
    }

    public void setChildren(List<ChildrenBean> children) {
        this.children = children;
    }

    public Integer getIsFiling() {
        return isFiling;
    }

    public void setIsFiling(Integer isFiling) {
        this.isFiling = isFiling;
    }

    public static class ChildrenBean {
        private String id;
        private String name;
        private String parentId;
        private List<?> children;
        private Integer isFiling;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getParentId() {
            return parentId;
        }

        public void setParentId(String parentId) {
            this.parentId = parentId;
        }

        public List<?> getChildren() {
            return children;
        }

        public void setChildren(List<?> children) {
            this.children = children;
        }

        public Integer getIsFiling() {
            return isFiling;
        }

        public void setIsFiling(Integer isFiling) {
            this.isFiling = isFiling;
        }
    }
}
